 /*
 * TezukaOsamuModel.java
 */
package osamu;

import org.boxed_economy.besp.container.BESPContainer;
import org.boxed_economy.besp.container.BESPPlugin;
import org.boxed_economy.besp.model.ModelContainer;
import org.boxed_economy.besp.model.fmfw.AgentType;
import org.boxed_economy.besp.model.fmfw.BehaviorType;
import org.boxed_economy.besp.model.fmfw.GoodsType;
import org.boxed_economy.besp.model.fmfw.RelationType;

/**
 * Model for Boxed Economy Foundation Model Framework
 *
 * @generated modifiable
 * @version $$Id$$
 */
public class TezukaOsamuModel implements BESPPlugin {
	
	public static AgentType AGENTTYPE_Akabe;
	public static AgentType AGENTTYPE_Shirobe;
	public static BehaviorType BEHAVIORTYPE_AkabeB;
	public static BehaviorType BEHAVIORTYPE_ShirobeB;
	public static BehaviorType BEHAVIORTYPE_NewBehavior;
	public static RelationType RELATIONTYPE_bestfriend;
	public static GoodsType GOODSTYPE_Tama;
	public static GoodsType GOODSTYPE_NewGoods;
	
	/** 
	* This method will be modified automatically by Model Editor 
	*
	* @generated
	*/
	public static void initializePlugin(BESPContainer container) {
		installTypes(container);
		buildStructure(container);
		setPriority(container);
	}

	/** 
	* This method will be modified automatically by Model Editor
	*
	* @generated
	*/
	private static void installTypes(BESPContainer container) {
		//Get the model container  
		ModelContainer modelContainer = container.getModelContainer();
		
		AGENTTYPE_Akabe=modelContainer.installAgentType("osamu.Akabe");
		AGENTTYPE_Shirobe=modelContainer.installAgentType("osamu.Shirobe");
		BEHAVIORTYPE_AkabeB=modelContainer.installBehaviorType("osamu.AkabeB");
		BEHAVIORTYPE_ShirobeB=modelContainer.installBehaviorType("osamu.ShirobeB");
		BEHAVIORTYPE_NewBehavior=modelContainer.installBehaviorType("osamu.NewBehavior");
		RELATIONTYPE_bestfriend=modelContainer.installRelationType("osamu.bestfriend");
		GOODSTYPE_Tama=modelContainer.installGoodsType("osamu.Tama");
		GOODSTYPE_NewGoods=modelContainer.installGoodsType("osamu.NewGoods");
	}

	/** 
	* This method will be modified automatically by Model Editor 
	*
	* @generated
	*/
	private static void buildStructure(BESPContainer container) {
		ModelContainer modelContainer = container.getModelContainer();
		
	}

	/** 
	* Set priority 
	*
	* @generated modifiable
	*/	
	private static void setPriority(BESPContainer container) {
		ModelContainer modelContainer = container.getModelContainer();
		
		//:TODO set priority
	}
}